Mozilla Update stellt sich quer

15/04/2008 - 14:19 von Hendric Stattmann | Report spam
Hallo an alle,

Seit ein paar Tagen versuche ich vergeblich, die neuesten Pakete von Mozilla
zu installieren.

Es scheint so zu sein, dass gleichzeitig zwei Pakete installiert sind:
blechdose:/home/hst/download # rpm -q MozillaFirefox
MozillaFirefox-2.0.0.12-5.1
MozillaFirefox-2.0.0.13-1.1

Wenn ich das Ältere deinstallieren möchte, passiert Folgendes:
blechdose:/home/hst/download # rpm -e MozillaFirefox-2.0.0.12-5.1
Usage: usr/bin/update-mime-database [-hvV] MIME-DIR
No directories in update-desktop-database search path could be processed and
updated.
error: %postun(MozillaFirefox-2.0.0.12-5.1.i586) scriptlet failed, exit
status 1

Selbige Fehlermeldung beim Versuch, alle Mozillas miteinander zu entfernen,
sowohl direkt per RPM als auch über YaST. Ein "rpm -e --force ..."
oder "rpm --rebuilddb" waren ebenfalls erfolglos.

Wie bekomme ich das denn hin?

Gruß Hendric
Hendric Stattmann, Mödling, Austria. Registered Linux User #178879
For e-mail contact, please use <hendric.stattmann.yyyy-mm@kabsi.at>
 

Lesen sie die antworten

#1 Uwe Grauer
15/04/2008 - 14:53 | Warnen spam
Hendric Stattmann wrote:
Hallo an alle,

Seit ein paar Tagen versuche ich vergeblich, die neuesten Pakete von Mozilla
zu installieren.

Es scheint so zu sein, dass gleichzeitig zwei Pakete installiert sind:
blechdose:/home/hst/download # rpm -q MozillaFirefox
MozillaFirefox-2.0.0.12-5.1
MozillaFirefox-2.0.0.13-1.1

Wenn ich das Ältere deinstallieren möchte, passiert Folgendes:
blechdose:/home/hst/download # rpm -e MozillaFirefox-2.0.0.12-5.1
Usage: usr/bin/update-mime-database [-hvV] MIME-DIR
No directories in update-desktop-database search path could be processed and
updated.
error: %postun(MozillaFirefox-2.0.0.12-5.1.i586) scriptlet failed, exit
status 1

Selbige Fehlermeldung beim Versuch, alle Mozillas miteinander zu entfernen,
sowohl direkt per RPM als auch über YaST. Ein "rpm -e --force ..."
oder "rpm --rebuilddb" waren ebenfalls erfolglos.

Wie bekomme ich das denn hin?

Gruß Hendric



Zuerst mittels
rpm -e --allmatches --noscripts --nodeps MozillaFirefox
beide Firefox Versionen deinstallieren.
Danach kann man den aktuellen Firefox ohne Fehler installieren.

Uwe

Ähnliche fragen